# 📊 vdst - Data Science Project Template Generator

**vdst** is a Python package designed to help you quickly set up a structured template for your data science projects. With just one command, you can generate a project layout that includes all the necessary directories and files, allowing you to focus on your analyses rather than on setting up your project.

---

## 🚀 Features

- **Quick Project Setup**: Generate a well-organized data science project structure with a single command.
- **Pre-configured Directory Layout**: Comes with directories for data, notebooks, source code, and more.
- **Easy to Use**: An intuitive command-line interface for seamless project creation.
- **Customizable**: Easily modify the template to fit your specific needs.

---

## 📦 Installation

You can install **vdst** from PyPI using the following command:

```bash
pip install vdst
```

---

## 🛠️ Usage

After installing, you can create a new data science project template by running:

```bash
create-data-science
```

This command generates a project structure in your current directory like this:

```
your_project/
├── data/
│   ├── raw/
│   ├── processed/
│   └── external/
├── notebooks/
├── src/
│   └── main.py
├── requirements.txt
└── README.md
```

### Example Steps:

1. **Navigate to the newly created project folder**:
   ```bash
   cd your_project
   ```

2. **Install the required packages** (if you have a `requirements.txt`):
   ```bash
   pip install -r requirements.txt
   ```

3. **Start coding your data science model in `src/main.py`!**

---

## 💡 Contributing

We welcome contributions! To contribute to **vdst**, please follow these steps:

1. **Fork the repository**.
2. **Create a new branch**:
   ```bash
   git checkout -b feature/YourFeature
   ```
3. **Make your changes** and commit them:
   ```bash
   git commit -m 'Add some feature'
   ```
4. **Push to the branch**:
   ```bash
   git push origin feature/YourFeature
   ```
5. **Open a pull request**.

---

## 🌟 License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

---

## 📧 Contact

For any inquiries or suggestions, feel free to reach out:

- **Author**: Vansh Khatri
- **Email**: [khatrivansh43@gmail.com](mailto:khatrivansh43@gmail.com)
- **GitHub**: [vanshxo](https://github.com/vanshxo)

---

## 🌍 Acknowledgments

- [Python](https://www.python.org/)
- [Setuptools](https://setuptools.pypa.io/en/latest/)
- [Twine](https://twine.readthedocs.io/en/latest/)
